@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          SecondAxis.java
@ rem - 
@ rem -   <START_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM 
@ rem -                    
@ rem -   5724-B41         
@ rem -   (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
@ rem -                    
@ rem -   US Government Users Restricted Rights - Use, duplication or 
@ rem -   disclosure restricted by GSA ADP Schedule Contract with 
@ rem -   IBM Corp.        
@ rem -   <END_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get MA0R_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
@ pushd %~dp0\..
@ set MA0R_HOME=%cd%
@ popd

@ rem - skip environment checking if not wanted
@ if "%1"=="nocheckenvironment" goto :setcp

@ call :checkExists %MA0R_HOME%\lib\axis.jar
@ if errorlevel 1 exit /b 1

@ call :checkExists %MA0R_HOME%\lib\ma0r.jar
@ if errorlevel 1 exit /b 1
   
@ call :checkInPath java.exe
@ if errorlevel 1 exit /b 1

@ rem - add to the path as needed
@ set DotNetFrameworkPath=%SystemRoot%\Microsoft.NET\Framework\v1.0.3705
@ call :whereInPath csc.exe
@ if "%whereInPath%"=="" (
@   set path=%DotNetFrameworkPath%;%path%
@   rem - double check this one, and correct if appropriate
@   call :checkInPath csc.exe
@   if errorlevel 1 exit /b 1
  )  
@ set DotNetFrameworkPath=%whereInPath%
  
   
@ call :whereInPath MQSOAPHost.exe  
@ if "%whereInPath%"=="" (
@   set path=%MA0R_HOME%\bin;%path%
  )  
 
@ call :whereInPath mqjbnd05.dll 
@ if "%whereInPath%"=="" (
@   set path=%MA0R_HOME%\lib;%path%
  )  

@ rem - make sure dotNet bits registered
@ if not exist %MA0R_HOME%\bin\RegisterDotNet.log (
@   call registerDotNet
@   if errorlevel 1 exit /b 1
)


:setcp
@ rem - now set up classpath -------------------------------------- 
@ rem (come here directly if nocheckenvironment specified)
@ rem - for user defined functions that are not in a jar
@ rem - put these first so any user changes (eg redeploy of demo) win over reovided bits
@ set CLASSPATH=classes
@
@ rem - MA0R classes
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\ma0r.jar
@ 
@ rem - for Axis
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\axis.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\jaxrpc.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\saaj.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\commons-logging.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\commons-discovery.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\wsdl4j.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\xerces.jar
@ 
@ rem - needed for Axis under JDK 1.4
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\servlet.jar
@ 
@ rem - for MQ/JMS
@ rem if "%MQJAVALIB%"=="" set MQJAVALIB=%ma0rlib%
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\com.ibm.mq.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\com.ibm.mqjms.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\connector.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\jms.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\jta.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\jndi.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\ldap.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\providerutil.jar
@ set CLASSPATH=%CLASSPATH%;%MA0R_HOME%\lib\com.ibm.mqbind.jar
@ 

@ rem - subroutine to check if item already in path (and if so, where)
@ :whereInPath
@ set whereInPath=%~dp$PATH:1
@ exit /b 0

@ :checkExists
@ if not exist %1 (
@   echo %1 does not exist. Recheck configuration and if really necessary, edit %0
@   exit /b 1
  )
@ exit /b 0

@ :checkInPath
@ set whereInPath=%~dp$PATH:1
@ if ""=="%whereInPath%" (
@   echo %1 not in path. Recheck configuration and if really necessary, edit %0
@   exit /b 1
  )
@ exit /b 0    


