@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          SecondAxis.java
@ rem - 
@ rem -   <START_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM 
@ rem -                    
@ rem -   5724-B41         
@ rem -   (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
@ rem -                    
@ rem -   US Government Users Restricted Rights - Use, duplication or 
@ rem -   disclosure restricted by GSA ADP Schedule Contract with 
@ rem -   IBM Corp.        
@ rem -   <END_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get MA0R_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
@echo off

rem
rem If %OS% is not set to Windows_NT we cannot be on Windows 2000
rem
if NOT "%OS%" == "Windows_NT" goto :not2K

rem
rem Look at the output of the ver command to verify we are running on Windows 2000
rem
ver | find "NT" > nul
if %errorlevel% == 0 goto :not2K

rem
rem Check we can invoke java
rem
java -version > nul 2>&1
if NOT %errorlevel% == 0 goto :nojava

if NOT exist helpers (
  echo Services for demo not yet deployed.  
  echo Deploying now.  This will take a few seconds, but will not need to be repeated .......
  call regenDemo
)

rem
rem All appears to be OK, go ahead and run the ivt
rem
setlocal
call ..\bin\setcp.bat
set classpath=helpers\classes;%classpath%
rem - call deploy.bat
rem - call clientConfig.bat
java javaDemos.clients.RunIvt %*
endlocal
goto :eof

:not2K
echo ERROR - This SupportPac has only been tested on Windows 2000. Runivt ABORTED.
goto :eof

:nojava
echo ERROR - Could not find Java - is your PATH set correctly? Runivt ABORTED.